/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ui;

/**
 *
 * @author Administrator
 */
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;
import java.awt.image.BufferedImage;
import javax.swing.ImageIcon;
import javax.swing.Timer;
        
public class QrDisplay extends javax.swing.JFrame {

    /**
     * Creates new form QrDisplay
     */
    
    int count = 15;
    Timer timer;
    ui.MainFrame otherFrame;
    QrDisplay mFrame = this;
    public QrDisplay(ui.MainFrame tempFrame, BufferedImage img) {
        initComponents();
        jLabel1.setIcon(new ImageIcon(img));
//        System.out.println("Creating new frame...");
        WindowListener exitWindow = new WindowAdapter(){
            @Override
            public void windowClosing(WindowEvent e){
                stopTimer();
            }
        };
        mFrame.addWindowListener(exitWindow);
        otherFrame = tempFrame;
        this.setLocationRelativeTo(otherFrame);
        System.out.println(Integer.toString(count));
        timer = new Timer(1000, new ActionListener(){
            @Override
            public void actionPerformed(ActionEvent e){
                count -= 1;
                if (count == 0){
                    stopTimer();
                }
                timerLabel.setText(Integer.toString(count));
            }
        });
        timer.start();
    }
    
    public void stopTimer(){
        timer.stop();
        otherFrame.setFocusable(true);
        otherFrame.setEnabled(true);
//        mFrame.setVisible(false);
        mFrame.dispose();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        timerLabel = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("QR Code");
        setResizable(false);

        jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/res/QRcode.png"))); // NOI18N

        timerLabel.setFont(new java.awt.Font("宋体", 0, 24)); // NOI18N
        timerLabel.setText("15");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(49, 49, 49)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.CENTER)
                    .addComponent(jLabel1)
                    .addComponent(timerLabel))
                .addContainerGap(53, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 235, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(timerLabel)
                .addContainerGap(27, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                
            }
        });
    }


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private static javax.swing.JLabel timerLabel;
    // End of variables declaration//GEN-END:variables
}
